Class | Fog::Compute::AWS::SecurityGroups
In: | lib/fog/aws/models/compute/security_groups.rb
Parent: | Fog::Collection

### Methods

all get get_by_id new

### Public Class methods

new(attributes)

     Creates a new security group

     AWS.security_groups.new

     ==== Returns

     Returns the details of the new image

>> AWS.security_groups.new

      <Fog::AWS::Compute::SecurityGroup
        name=nil,
        description=nil,
        ip_permissions=nil,
        owner_id=nil
        vpc_id=nil
      >

### Public Instance methods

all(filters = filters)

     Returns an array of all security groups that have been created

     AWS.security_groups.all

     ==== Returns

     Returns an array of all security groups

>> AWS.security_groups.all

      <Fog::AWS::Compute::SecurityGroups
        filters={}
        [
          <Fog::AWS::Compute::SecurityGroup
            name="default",
            description="default group",
            ip_permissions=[{"groups"=>[{"groupName"=>"default", "userId"=>"312571045469"}], "fromPort"=>-1, "toPort"=>-1, "ipRanges"=>[], "ipProtocol"=>"icmp"}, {"groups"=>[{"groupName"=>"default", "userId"=>"312571045469"}], "fromPort"=>0, "toPort"=>65535, "ipRanges"=>[], "ipProtocol"=>"tcp"}, {"groups"=>[{"groupName"=>"default", "userId"=>"312571045469"}], "fromPort"=>0, "toPort"=>65535, "ipRanges"=>[], "ipProtocol"=>"udp"}],
            owner_id="312571045469"
            vpc_id=nill
          >
        ]
      >

get(group_name)

     Used to retrieve a security group
     group name is required to get the associated flavor information.

     You can run the following command to get the details:
     AWS.security_groups.get("default")

     ==== Returns

>> AWS.security_groups.get("default")

      <Fog::AWS::Compute::SecurityGroup
        name="default",
        description="default group",
        ip_permissions=[{"groups"=>[{"groupName"=>"default", "userId"=>"312571045469"}], "fromPort"=>-1, "toPort"=>-1, "ipRanges"=>[], "ipProtocol"=>"icmp"}, {"groups"=>[{"groupName"=>"default", "userId"=>"312571045469"}], "fromPort"=>0, "toPort"=>65535, "ipRanges"=>[], "ipProtocol"=>"tcp"}, {"groups"=>[{"groupName"=>"default", "userId"=>"312571045469"}], "fromPort"=>0, "toPort"=>65535, "ipRanges"=>[], "ipProtocol"=>"udp"}],
        owner_id="312571045469"
        vpc_id=nil
      >

get_by_id(group_id)

     Used to retrieve a security group
     group id is required to get the associated flavor information.

     You can run the following command to get the details:
     AWS.security_groups.get_by_id("default")

     ==== Returns

>> AWS.security_groups.get_by_id("sg-123456")

      <Fog::AWS::Compute::SecurityGroup
        name="default",
        description="default group",
        ip_permissions=[{"groups"=>[{"groupName"=>"default", "userId"=>"312571045469"}], "fromPort"=>-1, "toPort"=>-1, "ipRanges"=>[], "ipProtocol"=>"icmp"}, {"groups"=>[{"groupName"=>"default", "userId"=>"312571045469"}], "fromPort"=>0, "toPort"=>65535, "ipRanges"=>[], "ipProtocol"=>"tcp"}, {"groups"=>[{"groupName"=>"default", "userId"=>"312571045469"}], "fromPort"=>0, "toPort"=>65535, "ipRanges"=>[], "ipProtocol"=>"udp"}],
        owner_id="312571045469"
      >

[Validate]